package com.jair.controller;

import com.fasterxml.jackson.databind.ser.Serializers;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.CreateAccountPo;
import com.jair.entity.po.LoginPo;
import com.jair.entity.po.UpdateAccountStatusPo;
import com.jair.entity.po.UpdatePasswordPo;
import com.jair.service.IAccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@RestController
@RequestMapping("/account")
public class AccountController extends BaseController {
    @Autowired
    IAccountService accountService;

    @PostMapping("/login")
    public ResultVo login(HttpServletRequest request, HttpServletResponse response, @RequestBody LoginPo loginPo) {
        return accountService.login(request, response, loginPo);
    }

    @PostMapping("/list/{companyId}")
    public ResultVo list(HttpServletRequest request, @PathVariable Integer companyId) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return ResultVo.success(accountService.listAccounts(tokenInfo, companyId, null));
    }

    @PostMapping("/list/mine")
    public ResultVo listMine(HttpServletRequest request) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return ResultVo.success(accountService.listAccounts(tokenInfo, tokenInfo.getCompanyId(), null));
    }

    @PostMapping("/create")
    public ResultVo create(HttpServletRequest request, @RequestBody CreateAccountPo createAccountPo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return accountService.createAccount(tokenInfo, createAccountPo);
    }

    @PostMapping("/update/password")
    public ResultVo create(HttpServletRequest request, @RequestBody UpdatePasswordPo updatePasswordPo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return accountService.updatePassword(tokenInfo, updatePasswordPo);
    }

    @PostMapping("/update/status")
    public ResultVo create(HttpServletRequest request, @RequestBody UpdateAccountStatusPo updateStatusPo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return accountService.updateStatus(tokenInfo, updateStatusPo);
    }
}
