package com.jair.controller;

import com.jair.entity.common.PageInfo;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.CompanyPo;
import com.jair.entity.po.SearchCompanyPo;
import com.jair.service.ICompanyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/company")
public class CompanyController extends BaseController {
    @Autowired
    ICompanyService companyService;

    @PostMapping("/create")
    public ResultVo createCompnay(HttpServletRequest request, @RequestBody CompanyPo companyPo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return companyService.createCompany(tokenInfo, companyPo);
    }

    @PostMapping("/list")
    public ResultVo listCompnay(HttpServletRequest request, @RequestBody PageInfo<SearchCompanyPo> pageInfo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return companyService.listCompanys(tokenInfo, pageInfo);
    }

    @PostMapping("/mine")
    public ResultVo mine(HttpServletRequest request) throws InterruptedException {
        TokenInfo tokenInfo = getTokenInfo(request);
        return companyService.myCompany(tokenInfo);
    }

    @PostMapping("/update/status")
    public ResultVo updateStatus(HttpServletRequest request, @RequestBody CompanyPo companyPo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return companyService.updateStatus(tokenInfo, companyPo);
    }

    @PostMapping("/update/expired")
    public ResultVo updateExpired(HttpServletRequest request, @RequestBody CompanyPo companyPo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return companyService.updateExpiredDate(tokenInfo, companyPo);
    }

    @PostMapping("/update")
    public ResultVo updateCompany(HttpServletRequest request, @RequestBody CompanyPo companyPo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return companyService.updateCompany(tokenInfo, companyPo);
    }
}
