package com.jair.controller;

import com.jair.entity.common.PageInfo;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.*;
import com.jair.service.IContractService;
import com.jair.service.IVehicleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/contract")
public class ContractController extends BaseController {
    @Autowired
    private IContractService contractService;

    @PostMapping("/list")
    public ResultVo listVehicle(HttpServletRequest request, @RequestBody PageInfo<SearchContractPo> pageInfo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return contractService.listContracts(tokenInfo, pageInfo);
    }

    @PostMapping("/get/{contractId}")
    public ResultVo get(HttpServletRequest request, @PathVariable Integer contractId) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return contractService.getContractById(tokenInfo, contractId);
    }

    @PostMapping("/sign")
    public ResultVo signContract(HttpServletRequest request, @RequestBody SignContractPo contractPo) throws Exception {
        TokenInfo tokenInfo = getTokenInfo(request);
        return contractService.signContract(tokenInfo, contractPo);
    }

    @PostMapping("/update")
    public ResultVo updateContract(HttpServletRequest request, @RequestBody UpdateContractPo contractPo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return contractService.updateContract(tokenInfo, contractPo);
    }

    @PostMapping("/terminate")
    public ResultVo terminateContract(HttpServletRequest request, @RequestBody TerminateContractPo contractPo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return contractService.terminateContract(tokenInfo, contractPo);
    }

    @PostMapping("/return/deposit")
    public ResultVo returnDeposit(HttpServletRequest request, @RequestBody ReturnDepositPo contractPo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return contractService.returnDeposit(tokenInfo, contractPo);
    }

    @PostMapping("/logs/{contractId}")
    public ResultVo contractLogs(HttpServletRequest request, @PathVariable Integer contractId) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return contractService.getContractLogs(tokenInfo, contractId);
    }
}
