package com.jair.controller;

import com.jair.entity.common.PageInfo;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.*;
import com.jair.service.ICompanyService;
import com.jair.service.IDataService;
import com.jair.service.IDriverService;
import com.jair.service.ISourceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import javax.websocket.server.PathParam;

@RestController
@RequestMapping("/data")
public class DataController extends BaseController {
    @Autowired
    IDataService dataService;
    @Autowired
    ISourceService sourceService;

    @PostMapping("/sources")
    public ResultVo listSource(HttpServletRequest request, @RequestBody SourcePo sourcePo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return sourceService.listSources(tokenInfo, sourcePo);
    }

    @PostMapping("/source/update/status")
    public ResultVo updateSourceStatus(HttpServletRequest request, @RequestBody SourcePo sourcePo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return sourceService.updateSourceStatus(tokenInfo, sourcePo);
    }

    @PostMapping("/source/create")
    public ResultVo createSource(HttpServletRequest request, @RequestBody SourcePo sourcePo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return sourceService.createSource(tokenInfo, sourcePo);
    }

    @PostMapping("/source/update")
    public ResultVo updateSource(HttpServletRequest request, @RequestBody SourcePo sourcePo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return sourceService.updateSource(tokenInfo, sourcePo);
    }

    @PostMapping("/colors")
    public ResultVo listColor(HttpServletRequest request) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return dataService.listColors(tokenInfo);
    }

    @PostMapping("/environmentalStandards")
    public ResultVo listEnvironmentalStandards(HttpServletRequest request) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return dataService.listEnvironmentalStandards(tokenInfo);
    }

    @PostMapping("/engineTypes")
    public ResultVo listEngineTypes(HttpServletRequest request) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return dataService.listEngineTypes(tokenInfo);
    }

    @PostMapping("/vehicleTypes")
    public ResultVo listVehicleTypes(HttpServletRequest request) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return dataService.listVehicleTypes(tokenInfo);
    }

    @PostMapping("/useCharacters")
    public ResultVo listUseCharacters(HttpServletRequest request) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return dataService.listUseCharacters(tokenInfo);
    }

    @PostMapping("/brands")
    public ResultVo listBrand(HttpServletRequest request) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return dataService.listBrands(tokenInfo);
    }

    @PostMapping("/models")
    public ResultVo listModel(HttpServletRequest request, @RequestBody SearchDataPo searchPo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return dataService.listModels(tokenInfo, searchPo);
    }

    @PostMapping("/create")
    public ResultVo createData(HttpServletRequest request, @RequestBody SysDataPo dataPo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return dataService.createData(tokenInfo, dataPo);
    }
}
