package com.jair.controller;

import com.jair.entity.common.PageInfo;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.*;
import com.jair.service.IDataService;
import com.jair.service.IDriverService;
import com.jair.service.IVehicleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/driver")
public class DriverController extends BaseController {
    @Autowired
    IDriverService driverService;

    @PostMapping("/list")
    public ResultVo listVehicle(HttpServletRequest request, @RequestBody PageInfo<SearchDriverPo> pageInfo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return driverService.listDrivers(tokenInfo, pageInfo);
    }

    @PostMapping("/get/{driverId}")
    public ResultVo get(HttpServletRequest request, @PathVariable Integer driverId) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return driverService.getDriverById(tokenInfo, driverId);
    }

    @PostMapping("/list/all")
    public ResultVo listVehicle(HttpServletRequest request) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return driverService.listAllDrivers(tokenInfo);
    }

    @PostMapping("/create")
    public ResultVo createDriver(HttpServletRequest request, @RequestBody DriverPo driverPo) throws Exception {
        TokenInfo tokenInfo = getTokenInfo(request);
        return driverService.createDriver(tokenInfo, driverPo);
    }

    @PostMapping("/update")
    public ResultVo updateDriver(HttpServletRequest request, @RequestBody DriverPo driverPo) throws Exception {
        TokenInfo tokenInfo = getTokenInfo(request);
        return driverService.updateDriver(tokenInfo, driverPo);
    }
}
