package com.jair.controller;

import com.jair.entity.bo.CfgFee;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.SearchDataPo;
import com.jair.entity.po.SourcePo;
import com.jair.entity.po.SysDataPo;
import com.jair.service.IDataService;
import com.jair.service.IFeeService;
import com.jair.service.ISourceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/fee")
public class FeeController extends BaseController {
    @Autowired
    IFeeService feeService;

    @PostMapping("/list/{status}")
    public ResultVo list(HttpServletRequest request, @PathVariable Integer status) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return feeService.list(tokenInfo, status);
    }

    @PostMapping("/create")
    public ResultVo createData(HttpServletRequest request, @RequestBody CfgFee fee) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return feeService.create(tokenInfo, fee);
    }

    @PostMapping("/disable/{feeId}")
    public ResultVo disable(HttpServletRequest request, @PathVariable Integer feeId) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return feeService.disable(tokenInfo, feeId);
    }

    @PostMapping("/enable/{feeId}")
    public ResultVo enable(HttpServletRequest request, @PathVariable Integer feeId) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return feeService.enable(tokenInfo, feeId);
    }
}
