package com.jair.controller;

import com.jair.entity.common.PageInfo;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.*;
import com.jair.service.IContractService;
import com.jair.service.IPlanningService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/planning")
public class PlanningController extends BaseController {
    @Autowired
    private IPlanningService planningService;

    @PostMapping("/list")
    public ResultVo listPlanning(HttpServletRequest request, @RequestBody PageInfo<SearchPlanningPo> pageInfo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return planningService.listPlanning(tokenInfo, pageInfo);
    }

    @PostMapping("/list/logs")
    public ResultVo listPlanningOperationLogs(HttpServletRequest request, @RequestBody PageInfo<SearchPlanningLogPo> pageInfo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return planningService.listLogs(tokenInfo, pageInfo);
    }

    @PostMapping("/list/{contractId}/{type}")
    public ResultVo listPlanning(HttpServletRequest request, @PathVariable Integer contractId, @PathVariable Integer type) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return planningService.listPlanningByContractId(tokenInfo, contractId, type);
    }

    @PostMapping("/paying")
    public ResultVo paying(HttpServletRequest request, @RequestBody PayingPo payingPo) throws Exception {
        TokenInfo tokenInfo = getTokenInfo(request);
        return planningService.paying(tokenInfo, payingPo);
    }

    @PostMapping("/delay")
    public ResultVo delay(HttpServletRequest request, @RequestBody DelayPo delayPo) throws Exception {
        TokenInfo tokenInfo = getTokenInfo(request);
        return planningService.delay(tokenInfo, delayPo);
    }

}
