package com.jair.controller;

import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.DetectImagePo;
import com.jair.service.IAttFileService;
import com.jair.util.BaiduAI;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/file")
public class UploadController extends BaseController {

    @Autowired
    private IAttFileService attFileService;
    @Autowired
    private BaiduAI baiduAI;

    @PostMapping("/upload")
    public ResultVo uploadFile(HttpServletRequest request, @RequestParam("file") MultipartFile multipartFile) throws Exception {
        TokenInfo tokenInfo = getTokenInfo(request);
        return attFileService.upload(tokenInfo, multipartFile);
    }

    @PostMapping("/vehicle/license/detect")
    public ResultVo detectVehicleLicense(@RequestBody DetectImagePo detectPo) throws Exception {
        System.out.println(detectPo);
        return ResultVo.success(baiduAI.vehicleLicenseDetect(detectPo.getUrl(), detectPo.getIsMain() == 1 ? true : false));
    }

    @PostMapping("/driver/license/detect")
    public ResultVo detectDriverLicense(@RequestBody DetectImagePo detectPo) throws Exception {
        System.out.println(detectPo);
        return ResultVo.success(baiduAI.drivingLicenseDetect(detectPo.getUrl()));
    }

    @PostMapping("/identity/card/detect")
    public ResultVo detectIdentityCard(@RequestBody DetectImagePo detectPo) throws Exception {
        System.out.println(detectPo);
        return ResultVo.success(baiduAI.identityCardDetect(detectPo.getUrl(), detectPo.getIsMain() == 3 ? true : false));
    }
}
