package com.jair.controller;

import com.jair.entity.common.PageInfo;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.*;
import com.jair.service.ICompanyService;
import com.jair.service.IVehicleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;

@RestController
@RequestMapping("/vehicle")
public class VehicleController extends BaseController {
    @Autowired
    IVehicleService vehicleService;

    @PostMapping("/list")
    public ResultVo listVehicle(HttpServletRequest request, @RequestBody PageInfo<SearchVechiclePo> pageInfo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return vehicleService.listVehicles(tokenInfo, pageInfo);
    }

    @PostMapping("/get/{vehicleId}")
    public ResultVo get(HttpServletRequest request, @PathVariable Integer vehicleId) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return vehicleService.getVehicleById(tokenInfo, vehicleId);
    }

    @PostMapping("/create")
    public ResultVo createVehicle(HttpServletRequest request, @RequestBody CreateVehiclePo vehiclePo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return vehicleService.createVehicle(tokenInfo, vehiclePo);
    }

    @PostMapping("/update")
    public ResultVo updateVehicle(HttpServletRequest request, @RequestBody UpdateVehiclePo vehiclePo) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return vehicleService.updateVehicle(tokenInfo, vehiclePo);
    }

    @PostMapping("/no/source/contract/vehicles")
    public ResultVo listNoSourceContractVehicles(HttpServletRequest request) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return vehicleService.listNoSourceContractVehicles(tokenInfo);
    }

    @PostMapping("/allow/rent/vehicles")
    public ResultVo listAllowRentVehicles(HttpServletRequest request) {
        TokenInfo tokenInfo = getTokenInfo(request);
        return vehicleService.listAllowRentVehicles(tokenInfo);
    }

}
