package com.jair.entity.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 帐号
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Account implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /** 帐号 */
    private String username;

    /** 密码 */
    private String password;

    /** 姓名 */
    private String realName;

    /** 电话 */
    private String phone;

    /** 地址 */
    private String address;

    /** 状态：0停用，1有效 */
    private Integer status;

    private Date createTime;

    private Integer createById;

    private String createByName;

    /** 帐号类型：0超管，1主帐号，2子帐号 */
    private Integer type;

    private Integer companyId;

    private String companyName;

    private String token;

    private Date tokenExpiredTime;
}
