package com.jair.entity.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Contract implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /** 合同类型，1车源合同，2司机合同 */
    private Integer type;

    /** 合同编号 */
    private String code;

    /** 车辆信息 */
    private Integer vehicleId;

    /** 车源信息 */
    private Integer sourceId;

    /** 司机信息 */
    private Integer driverId;

    /** 里程数 */
    private Integer odograph;

    /** ev里程数 */
    private Integer odographEv;

    /** 租赁开始日期 */
    private Date startDate;

    /** 租赁结束日期 */
    private Date endDate;

    /** 押金状态：@DepositStatusEnum */
    private Integer depositStatus;

    /** 应付押金 */
    private Integer payableDepositAmount;
    /** 已付押金 */
    private Integer paidDepositAmount;
    /** 返还押金金额 */
    private Integer returnDepositAmount;

    /** 租赁方式 */
    private Integer leaseType;

    /** 租金 */
    private Integer rentAmount;

    /** 状态：1正常有效，0已结束 */
    private Integer status;

    private Date createTime;

    private Integer createById;

    private String createByName;

    private Integer companyId;

    private String remark;

}
