package com.jair.entity.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 驾驶证
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DrivingLicense implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /** 驾驶证号 */
    private String credentialNo;

    /** 档案编号 */
    private String fileNo;

    /** 国籍 */
    private String country;

    /** 首次发证日期 */
    private Date firstIssue;

    /** 准驾车型 */
    @TableField("class")
    private String drivingClass;

    /** 有效期-起 */
    private Date validPeriodStart;

    /** 有效期-止 */
    private Date validPeriodEnd;

    /** 主页照片 */
    private Integer mainFileId;

    /** 副页照片 */
    private Integer secondFileId;

    private Date createTime;

    private Integer createById;

    private String createByName;

    private Integer companyId;


}
