package com.jair.entity.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 车辆信息
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class Vehicle implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /** 车牌号码 */
    private String plateNo;

    /** 品牌 */
    private String brandName;

    /** 型号 */
    private String model;

    /** 排量 */
    private String displacement;

    /** 颜色 */
    private String color;

    /** 环保标准 */
    private String environmentalStandards;

    /** 动力类型 */
    private String engineType;

    private String remark;

    private Integer licenseId;

    /** 状态，1正常，0失效（已退） */
    private Integer status;

    private Date createTime;

    private Integer createById;

    private String createByName;

    private Integer companyId;
}
