package com.jair.entity.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 行驶证
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class VehicleLicense implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer licenseId;

    /** 车辆类型：小型轿车 */
    private String type;

    /** 所有人 */
    private String owner;

    /** 住址 */
    private String address;

    /** 使用性质：非营运 */
    private String useCharacter;

    /** 型号 */
    @TableField("model")
    private String licenseModel;

    /** 识别代号 */
    private String vin;

    /** 发动机号码 */
    private String engineNo;

    /** 注册日期 */
    private Date registerDate;

    /** 发证日期 */
    private Date issueDate;

    /** 核载人数 */
    private String approvedPerson;

    /** 总质量 */
    private String weight;

    /** 尺寸 */
    private String outlineSize;

    /** 行驶证主页照片 */
    private Integer mainFileId;

    /** 行驶证副页照片 */
    private Integer secondFileId;

    private Date createTime;

    private Integer createById;

    private String createByName;

    private Integer companyId;


}
