package com.jair.entity.po;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;
import java.util.List;

@Data
public class SearchContractPo extends Validation {

    /** 合同类型，1车源合同，2司机合同 */
    private Integer type;

    /** 司机姓名 */
    private String driverInfo;

    /** 车牌号 */
    private String vehicleInfo;

    private Integer sourceId;

    /** 合同日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startDateStart;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startDateEnd;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endDateStart;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endDateEnd;

    /** 押金状态：-1押金不全，0未返还，1全部返还，2部分返还 */
    private List<Integer> depositStatus;

    /** 返还押金金额 */
    private Integer returnDepositAmountMin;
    private Integer returnDepositAmountMax;

    private Date createTimeStart;
    private Date createTimeEnd;

    private Integer status;

    private Integer companyId;
}
