package com.jair.entity.po;

import lombok.Data;
import org.springframework.util.StringUtils;

@Data
public class UpdateAccountPo extends Validation {

    private Integer id;

    /** 姓名 */
    private String realName;

    /** 电话 */
    private String phone;

    /** 地址 */
    private String address;

    @Override
    public ValidateResult validate() {
        if (this.getId() == null || this.getId() <= 0) {
            return ValidateResult.fail("未知帐号");
        }
        if (StringUtils.isEmpty(this.getRealName()) || this.getRealName().trim().length() < 2) {
            return ValidateResult.fail("姓名长度不能小于2位");
        }
        if (StringUtils.isEmpty(this.getPhone()) || this.getPhone().trim().length() != 11) {
            return ValidateResult.fail("电话输入不正确");
        }
        return ValidateResult.succeed(this);
    }
}
