package com.jair.entity.po;

import lombok.Data;
import lombok.extern.slf4j.Slf4j;

@Data
@Slf4j
public class ValidateResult {
    private Integer code;
    private String data;

    public boolean isSucceed() {
        return code == 0;
    }

    public static ValidateResult fail(String data) {
        ValidateResult result = new ValidateResult();
        result.setCode(1);
        result.setData(data);
        return result;
    }

    public static ValidateResult succeed(Object object) {
        log.info("数据校验通过:{}", object.toString());
        ValidateResult result = new ValidateResult();
        result.setCode(0);
        result.setData("验证通过");
        return result;
    }
}
