package com.jair.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jair.entity.bo.AttFile;
import com.jair.entity.bo.Source;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
@Data
public class ContractVo implements Serializable {

    private Integer id;

    /** 合同类型，1车源合同，2司机合同 */
    private Integer type;

    private String code;

    /** 车辆信息 */
    private Integer vehicleId;
    private VehicleVo vehicleVo;

    /** 车源信息 */
    private Integer sourceId;
    private Source sourceVo;

    /** 司机信息 */
    private Integer driverId;
    private DriverVo driverVo;

    /** 里程数 */
    private Integer odograph;

    /** ev里程数 */
    private Integer odographEv;

    /** 租赁开始日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date startDate;

    /** 租赁结束日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date endDate;

    /** 租赁方式 */
    private Integer leaseType;

    /** 押金状态：@DepositStatusEnum */
    private Integer depositStatus;

    /** 应付押金 */
    private Integer payableDepositAmount;
    /** 已付押金 */
    private Integer paidDepositAmount;
    /** 返还押金金额 */
    private Integer returnDepositAmount;

    /** 租金 */
    private Integer rentAmount;

    /** 状态：1正常有效，0已结束 */
    private Integer status;

    private String remark;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    private Integer createById;

    private String createByName;

    private Integer companyId;

    /** 是否存在有效（车源或司机）合同 */
    private Integer anotherContract = 0;

    private List<AttFile> files;
}
