package com.jair.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.jair.entity.bo.AttFile;
import lombok.Data;

import java.util.Date;

@Data
public class DriverVo {
    private Integer id;

    /** 身份证号码 */
    private String identityNumber;

    /** 姓名 */
    private String name;

    /** 性别 */
    private String gender;

    /** 电话 */
    private String phone;

    /** 现住址 */
    private String address;

    /** 紧急联系人 */
    private String contactName;

    /** 紧急联系人电话 */
    private String contactPhone;

    /** 是否有网约车执照：0无，1有 */
    private Integer serviceLicense;

    // 身份证信息
    /** 民族 */
    private String nation;

    /** 出生日期 */
    private Date birthday;

    /** 身份证地址 */
    private String originAddress;

    /** 发证机关 */
    private String issueOrganization;

    /** 身份证 有效期-起 */
    private Date identityValidPeriodStart;

    /** 身份证 有效期-止 */
    private Date identityValidPeriodEnd;

    /** 身份证 正面照片 */
    private AttFile frontFile;
//    private Integer frontFileId;
//    private String frontFileUrl;

    /** 身份证 反面照片 */
    private AttFile backFile;
//    private Integer backFileId;
//    private String backFileUrl;

    // 驾驶证信息
    /** 驾驶证号 */
    private String credentialNo;

    /** 档案编号 */
    private String fileNo;

    /** 首次发证日期 */
    private Date firstIssue;

    /** 驾照 准驾车型 */
    private String drivingClass;

    /** 驾照 有效期-起 */
    private Date licenseValidPeriodStart;

    /** 驾照 有效期-止 */
    private Date licenseValidPeriodEnd;


    /** 驾照 主页照片 */
    private AttFile mainFile;
//    private Integer mainFileId;
//    private String mainFileUrl;

    /** 驾照 副页照片 */
    private AttFile secondFile;
//    private Integer secondFileId;
//    private String secondFileUrl;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;
}
