package com.jair.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 驾驶证
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DrivingLicenseVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 姓名 */
    private String name;

    /** 驾驶证号 */
    private String credentialNo;

    /** 档案编号 */
    private String fileNo;

    /** 国籍 */
    private String country;

    /** 住址 */
    private String address;

    /** 出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;

    /** 首次发证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date firstIssue;

    /** 准驾车型 */
    @TableField("class")
    private String drivingClass;

    /** 有效期-起 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date validPeriodStart;

    /** 有效期-止 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date validPeriodEnd;

}
