package com.jair.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class IdentityCardVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 姓名 */
    private String name;

    /** 性别 */
    private String gender;

    /** 民族 */
    private String nation;

    private String identityNumber;

    /** 出生日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date birthday;

    /** 身份证地址 */
    private String originAddress;

    /** 发证机关 */
    private String issueOrganization;

    /** 有效期-起 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date validPeriodStart;

    /** 有效期-止 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date validPeriodEnd;
}
