package com.jair.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 行驶证
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
@Data
public class VehicleLicenseDetectVo implements Serializable {
    /** 车牌号 */
    private String plateNo;

    /** 识别代号 */
    private String vin;

    /** 发动机号码 */
    private String engineNo;

    /** 车辆类型：小型轿车 */
    private String type;

    /** 使用性质：非营运 */
    private String useCharacter;

    /** 型号 */
    private String licenseModel;

    /** 所有人 */
    private String owner;

    /** 住址 */
    private String address;

    /** 注册日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date registerDate;

    /** 发证日期 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date issueDate;

    /** 核载人数 */
    private String approvedPerson;

    /** 总质量 */
    private String weight;

    /** 尺寸 */
    private String outlineSize;


}
