package com.jair.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jair.entity.bo.Account;
import com.jair.entity.bo.Company;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.*;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 帐号 服务类
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
public interface IAccountService extends IService<Account> {

    ResultVo login(HttpServletRequest request, HttpServletResponse response, LoginPo loginPo);

    ResultVo loginSuccess(HttpServletRequest request, HttpServletResponse response, Account account, Company company);

    String generateToken(Account account, Date date);

    TokenInfo getTokenInfo(HttpServletRequest request);

    ResultVo createAccount(TokenInfo tokenInfo, CreateAccountPo createAccountPo);
    ResultVo updateAccount(TokenInfo tokenInfo, UpdateAccountPo updateAccountPo);
    ResultVo updatePassword(TokenInfo tokenInfo, UpdatePasswordPo updatePasswordPo);
    ResultVo updateStatus(TokenInfo tokenInfo, UpdateAccountStatusPo updateStatusPo);

    Account getAccountById(Integer accountId, Integer companyId);
    Account getAccountById(Integer accountId);

    boolean isUsernameExists(String username);

    boolean isPhoneExists(Integer accountId, String phone);

    List<Account> listAccounts(TokenInfo tokenInfo, Integer companyId, Integer accountType);

    Account getMainAccount(TokenInfo tokenInfo, Integer companyId);
}
