package com.jair.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jair.entity.bo.Company;
import com.jair.entity.common.PageInfo;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.CompanyPo;
import com.jair.entity.po.SearchCompanyPo;

/**
 * <p>
 * 企业主体 服务类
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
public interface ICompanyService extends IService<Company> {

    ResultVo createCompany(TokenInfo tokenInfo, CompanyPo companyPo);

    ResultVo updateExpiredDate(TokenInfo tokenInfo, CompanyPo companyPo);

    ResultVo updateStatus(TokenInfo tokenInfo, CompanyPo companyPo);

    ResultVo updateCompany(TokenInfo tokenInfo, CompanyPo companyPo);

    boolean isCompanyNameExists(Integer id, String companyName);

    boolean isCompanyAbbrExists(Integer id, String abbr);

    ResultVo listCompanys(TokenInfo tokenInfo, PageInfo<SearchCompanyPo> pageInfo);

    ResultVo myCompany(TokenInfo tokenInfo);

    void checkExpiredCompanys();
}
