package com.jair.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jair.entity.bo.CfgData;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.SearchDataPo;
import com.jair.entity.po.SysDataPo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
public interface IDataService extends IService<CfgData> {

    ResultVo listEnvironmentalStandards(TokenInfo tokenInfo);

    ResultVo listUseCharacters(TokenInfo tokenInfo);

    ResultVo listColors(TokenInfo tokenInfo);

    ResultVo listEngineTypes(TokenInfo tokenInfo);

    ResultVo listVehicleTypes(TokenInfo tokenInfo);

    ResultVo listBrands(TokenInfo tokenInfo);

    ResultVo listModels(TokenInfo tokenInfo, SearchDataPo searchPo);

    List<CfgData> listDatas(Integer companyId, Integer type, Integer parentId);

    CfgData getDataById(Integer companyId, Integer dataId);

    ResultVo createData(TokenInfo tokenInfo, SysDataPo dataPo);

    Boolean isDataNameExists(Integer companyId, Integer type, Integer parentId, String name);

    Integer getBrandIdByName(TokenInfo tokenInfo, String name);
}
