package com.jair.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jair.entity.bo.Driver;
import com.jair.entity.bo.Vehicle;
import com.jair.entity.common.PageInfo;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.DriverPo;
import com.jair.entity.po.SearchDriverPo;
import com.jair.entity.vo.DriverVo;
import com.jair.entity.vo.VehicleVo;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
public interface IDriverService extends IService<Driver> {

    /** 司机列表 */
    ResultVo listDrivers(TokenInfo tokenInfo, PageInfo<SearchDriverPo> pageInfo);

    ResultVo listAllDrivers(TokenInfo tokenInfo);

    /** 创建司机 */
    ResultVo createDriver(TokenInfo tokenInfo, DriverPo driverPo) throws Exception;

    /** 修改司机信息 */
    ResultVo updateDriver(TokenInfo tokenInfo, DriverPo driverPo) throws Exception;

    /** 检查车牌号是否存在 */
    boolean isDriverExists(Integer companyId, Integer driverId, String identityNumber);

    /** 根据id获取司机 */
    ResultVo getDriverById(TokenInfo tokenInfo, Integer driverId);

    Driver getDriverById(Integer companyId, Integer driverId);

    /** 填充身份证信息 */
    DriverVo fillIdentityCardInfo(TokenInfo tokenInfo, DriverVo driverVo, Integer identityId);

    /** 填充驾驶证信息 */
    DriverVo fillDrivingLicenseInfo(TokenInfo tokenInfo, DriverVo driverVo, Integer licenseId);

    DriverVo translateDriverToVo(TokenInfo tokenInfo, Driver driver);

    /** 统计接口 */
    /** 获取所有司机数量 */
    Integer getAllDriverCount(TokenInfo tokenInfo);
}
