package com.jair.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jair.entity.bo.CfgFee;
import com.jair.entity.bo.Contract;
import com.jair.entity.bo.FeePlanning;
import com.jair.entity.common.PageInfo;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.*;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
public interface IPlanningService extends IService<FeePlanning> {

    ResultVo listPlanning(TokenInfo tokenInfo, PageInfo<SearchPlanningPo> pageInfo);

    /** 获取费用计划 */
    ResultVo listPlanningByContractId(TokenInfo tokenInfo, Integer contractId, Integer type);

    void saveFeePlanning(TokenInfo tokenInfo, Contract contract, List<CfgFeePo> fees) throws Exception;

    void saveRentPlanning(TokenInfo tokenInfo, Contract contract, Integer firstPaidAmount) throws Exception;

    void saveDepositPlanning(TokenInfo tokenInfo, Contract contract) throws Exception;

    void disablePlanningByContractId(Integer contractId);

    /** 费用付款 */
    ResultVo paying(TokenInfo tokenInfo, PayingPo payingPo) throws Exception;

    /** 延期 */
    ResultVo delay(TokenInfo tokenInfo, DelayPo delayPo) throws Exception;

    ResultVo listLogs(TokenInfo tokenInfo, PageInfo<SearchPlanningLogPo> pageInfo);

    /** 统计接口 */
    /** 应收 */
    Integer getPlanAmountByPlanDate(TokenInfo tokenInfo, String date);
    /** 已收 */
    Integer getActualAmountByCreateTime(TokenInfo tokenInfo, String date);
}
