package com.jair.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.jair.entity.bo.Vehicle;
import com.jair.entity.common.PageInfo;
import com.jair.entity.common.ResultVo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.CreateVehiclePo;
import com.jair.entity.po.SearchVechiclePo;
import com.jair.entity.po.UpdateVehiclePo;
import com.jair.entity.vo.VehicleVo;

/**
 * <p>
 * 车辆信息 服务类
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
public interface IVehicleService extends IService<Vehicle> {

    /** 创建车辆 */
    ResultVo createVehicle(TokenInfo tokenInfo, CreateVehiclePo vehiclePo);

    ResultVo updateVehicle(TokenInfo tokenInfo, UpdateVehiclePo vehiclePo);

    /** 车辆列表 */
    ResultVo listVehicles(TokenInfo tokenInfo, PageInfo<SearchVechiclePo> pageInfo);
    /** 车辆列表 无车源合同 */
    ResultVo listNoSourceContractVehicles(TokenInfo tokenInfo);
    /** 车辆列表 可以出租给司机的列表 */
    ResultVo listAllowRentVehicles(TokenInfo tokenInfo);

    /** 归还车辆 */
    ResultVo returnVehicle(TokenInfo tokenInfo, Integer vehicleId);

    /** 检查车牌号是否存在 */
    boolean isPlateNoExists(Integer companyId, Integer vehicleId, String plateNo);

    /** 根据id获取车辆 */
    ResultVo getVehicleById(TokenInfo tokenInfo, Integer vehicleId);
    Vehicle getVehicleById(Integer companyId, Integer vehicleId);

    VehicleVo translateVehicleToVo(TokenInfo tokenInfo, Vehicle vehicle);

    /** 统计接口 */
    /** 获取所有车辆数量 */
    Integer getAllVehicleCount(TokenInfo tokenInfo);
}
