package com.jair.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jair.entity.bo.ContractOperationLog;
import com.jair.entity.common.TokenInfo;
import com.jair.mapper.ContractOperationLogMapper;
import com.jair.service.IContractOperationLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author Jair
 * @since 2020-08-25
 */
@Service
public class ContractOperationLogServiceImpl extends ServiceImpl<ContractOperationLogMapper, ContractOperationLog> implements IContractOperationLogService {

    @Autowired
    private ContractOperationLogMapper logMapper;

    @Override
    public void createLog(TokenInfo tokenInfo, Integer type, Integer contractId, String action, String content) {
        ContractOperationLog operationLog = new ContractOperationLog();
        operationLog.setType(type);
        operationLog.setContractId(contractId);
        operationLog.setAction(action);
        operationLog.setContent(content);
        operationLog.setOperationTime(new Date());
        operationLog.setOperatorId(tokenInfo.getId());
        operationLog.setOperatorName(tokenInfo.getRealName());
        logMapper.insert(operationLog);
    }

}
