package com.jair.util;

import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeanUtils;

/**
 * 类型转化
 */
@Slf4j
public class BeanUtil {

    public static <T> T transform(Object object, Class<T> tClass) {
        if (object == null || tClass == null) {
            return null;
        }
        try {
            T t = JSONObject.parseObject(JSONObject.toJSONString(object), tClass);
            return t;
        } catch (Exception e) {
            log.error("类型转化错误", e, e.getMessage());
            e.printStackTrace();
        }
        return null;

    }

//    public static <T, E> List<T> transformArray(List<E> list, Class<T> tClass) {
//        if (ArrayUtil.isEmtry(list)) {
//            return new ArrayList<>();
//        }
//        try {
//            List<T> t = list.stream().map(e -> BeanUtil.transform(e, tClass)).collect(Collectors.toList());
//            return t;
//        } catch (Exception e) {
//            log.error("类型转化错误", e, e.getMessage());
//            e.printStackTrace();
//        }
//        return null;
//    }

    public static void copyProperties(Object source, Object target) {
        BeanUtils.copyProperties(source, target);
    }

//    /**
//     * 获取类的全部变量
//     *
//     * @param t
//     * @param <T>
//     * @return
//     */
//    public static <T> List<Field> getFields(T t) {
//        List<Field> fieldList = new ArrayList<>();
//        Class tempClass = t.getClass();
//        while (tempClass != null) {//当父类为null的时候说明到达了最上层的父类(Object类).
//            fieldList.addAll(Arrays.asList(tempClass.getDeclaredFields()));
//            tempClass = tempClass.getSuperclass(); //得到父类,然后赋给自己
//        }
//        return fieldList;
//    }
}
