package com.jair.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

public class DateUtil {

    public static String YYYYMMDD = "yyyyMMdd";
    public static String YYMMDD = "yyMMdd";
    public static String YYYY_MM_DD = "yyyy-MM-dd";
    public static String YYYY_MM_DDHHMMSS = "yyyy-MM-dd HH:mm:ss";

    public static Date getAddDayTime(Integer num) {
        return getAddTime(Calendar.DATE, num);
    }

    public static Date getAddTime(Integer type, Integer num) {
        Date date = new Date();
        Calendar calendar = new GregorianCalendar();
        calendar.setTime(date);
        calendar.add(type, num);
        date = calendar.getTime();
        return date;
    }

    public static Date getAddTime(Date date, Integer type, Integer num) {
        Calendar calendar = new GregorianCalendar();
        calendar.setTime(date);
        calendar.add(type, num);
        date = calendar.getTime();
//        calendar.add(calendar.YEAR, 1);//把日期往后增加一年.整数往后推,负数往前移动
//        calendar.add(calendar.DAY_OF_MONTH, 1);//把日期往后增加一个月.整数往后推,负数往前移动
//        calendar.add(calendar.DATE, 1);//把日期往后增加一天.整数往后推,负数往前移动
//        calendar.add(calendar.WEEK_OF_MONTH, 1);//把日期往后增加一周.整数往后推,负数往前移动

        return date;
    }

    public static String format2Datetime(Date date) {
        SimpleDateFormat sdfTime = new SimpleDateFormat(YYYY_MM_DDHHMMSS);
        return sdfTime.format(date);
    }

    public static String format2Date(Date date) {
        return format2Date(date, YYYY_MM_DD);
    }

    public static String format2Date(Date date, String format) {
        SimpleDateFormat sdfTime = new SimpleDateFormat(format);
        return sdfTime.format(date);
    }

    public static Date parseDate(String date,String format) throws ParseException {
        return new SimpleDateFormat(format).parse(date);
    }

    public static Date parseDate(String date) throws ParseException {
        return new SimpleDateFormat(YYYY_MM_DD).parse(date);
    }

    public static Date parseBrithday(String date) throws ParseException {
        return new SimpleDateFormat(YYYYMMDD).parse(date);
    }
}
