package com.jair;

import com.jair.entity.common.TokenInfo;
import com.jair.entity.constant.AccountTypeEnum;
import com.jair.entity.po.CreateAccountPo;
import com.jair.entity.po.LoginPo;
import com.jair.service.IAccountService;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
public class AccountTest {

    @Autowired
    private IAccountService accountService;

    @Test
    public void login() {
        LoginPo loginPo = new LoginPo();
        loginPo.setUsername("test");
        loginPo.setPassword("965EB72C92A549DD");

    }

    @Test
    public void create() {
        CreateAccountPo createAccountPo = new CreateAccountPo();
        createAccountPo.setUsername("mbox2001");
        createAccountPo.setPassword("123456");
        createAccountPo.setRealName("Jair");
        createAccountPo.setPhone("13601361331");
        createAccountPo.setAddress("北京");
        createAccountPo.setType(AccountTypeEnum.SUB.getKey());
        createAccountPo.setCompanyId(1);

        System.out.println(accountService.createAccount(getTokenInfo(), createAccountPo));
    }

    public TokenInfo getTokenInfo() {
        TokenInfo tokenInfo = new TokenInfo();
        tokenInfo.setType(AccountTypeEnum.ADMIN.getKey());
        tokenInfo.setId(2);
        tokenInfo.setRealName("张三");
        tokenInfo.setCompanyId(1);
        tokenInfo.setCompanyName("测试公司");
        return tokenInfo;
    }
}
