package com.jair;

import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.CompanyPo;
import com.jair.service.ICompanyService;
import com.jair.util.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
public class CompanyTest {

    @Autowired
    private ICompanyService companyService;

    @Test
    public void createCompany() {
        TokenInfo tokenInfo = new TokenInfo();
        tokenInfo.setId(1);
        tokenInfo.setRealName("1111");

        CompanyPo company = new CompanyPo();
        company.setName("在在在1");
        company.setAbbr("zzzz");
        company.setContactName("张三");
        company.setContactPhone("123123123123");
        company.setExpiredDate(DateUtil.getAddDayTime(30));

        System.out.println(companyService.createCompany(tokenInfo, company));
    }

    @Test
    public void updateCompany() {
        TokenInfo tokenInfo = new TokenInfo();
        tokenInfo.setId(1);
        tokenInfo.setRealName("1111");

        CompanyPo company = new CompanyPo();
        company.setId(1);
        company.setName("测试公司1");
        company.setAbbr("zzzz");
        company.setContactName("张三");
        company.setContactPhone("123123123123");
        company.setExpiredDate(DateUtil.getAddDayTime(30));

        System.out.println(companyService.updateCompany(tokenInfo, company));
    }

    @Test
    public void list() {
        TokenInfo tokenInfo = new TokenInfo();
        tokenInfo.setType(0);
        tokenInfo.setId(1);
        tokenInfo.setRealName("1111");

        System.out.println(companyService.listCompanys(tokenInfo, null));
    }

    @Test
    public void checkExpiredCompanys() {
        companyService.checkExpiredCompanys();
    }
}
