package com.jair;

import com.jair.entity.common.PageInfo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.DriverPo;
import com.jair.entity.po.SearchDriverPo;
import com.jair.service.IDriverService;
import com.jair.util.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
public class DriverTest {

    @Autowired
    private IDriverService driverService;

    @Test
    public void createDriver() throws Exception {
        DriverPo driverPo = new DriverPo();
        driverPo.setName("魏吉光");
        driverPo.setGender("男");
        driverPo.setIdentityNumber("239005831040071");
        driverPo.setPhone("13601361337");
        driverPo.setAddress("北京市通州区");
        driverPo.setContactName("sea");
        driverPo.setContactPhone("15901410478");
        driverPo.setServiceLicense(1);

        driverPo.setIdentityValidPeriodStart(DateUtil.parseDate("2018-10-1"));
        driverPo.setIdentityValidPeriodEnd(DateUtil.parseDate("2038-9-30"));
        driverPo.setFrontFileId(1);
        driverPo.setBackFileId(2);

        driverPo.setCredentialNo("111111");
        driverPo.setFileNo("No.10000");
        driverPo.setFirstIssue(DateUtil.parseDate("2010-11-11"));
        driverPo.setDrivingClass("A2");
        driverPo.setLicenseValidPeriodStart(DateUtil.parseDate("2019-1-1"));
        driverPo.setLicenseValidPeriodEnd(DateUtil.parseDate("2025-5-3"));
        driverPo.setMainFileId(3);
        driverPo.setSecondFileId(4);

        System.out.println(driverService.createDriver(getTokenInfo(), driverPo));
    }

    @Test
    public void updateDriver() throws Exception {
        DriverPo driverPo = new DriverPo();
        driverPo.setId(4);
        driverPo.setName("魏吉光1");
        driverPo.setGender("男");
        driverPo.setIdentityNumber("239005831030071");
        driverPo.setPhone("13601361337");
        driverPo.setAddress("北京市通州区");
        driverPo.setContactName("sea");
        driverPo.setContactPhone("15901410478");
        driverPo.setServiceLicense(1);

        driverPo.setIdentityValidPeriodStart(DateUtil.parseDate("2018-10-1"));
        driverPo.setIdentityValidPeriodEnd(DateUtil.parseDate("2038-9-30"));
        driverPo.setFrontFileId(11);
        driverPo.setBackFileId(22);

        driverPo.setCredentialNo("111111");
        driverPo.setFileNo("No.10000");
        driverPo.setFirstIssue(DateUtil.parseDate("2010-11-11"));
        driverPo.setDrivingClass("A2");
        driverPo.setLicenseValidPeriodStart(DateUtil.parseDate("2019-1-1"));
        driverPo.setLicenseValidPeriodEnd(DateUtil.parseDate("2025-5-3"));
        driverPo.setMainFileId(33);
        driverPo.setSecondFileId(44);

        System.out.println(driverService.updateDriver(getTokenInfo(), driverPo));
    }

    @Test
    public void list() {
        PageInfo<SearchDriverPo> pageInfo = new PageInfo<>();
        SearchDriverPo searchPo = new SearchDriverPo();
        searchPo.setName("1");
        pageInfo.setRecords(searchPo);

        System.out.println(driverService.listDrivers(getTokenInfo(), pageInfo));
    }

    public TokenInfo getTokenInfo() {
        TokenInfo tokenInfo = new TokenInfo();
        tokenInfo.setId(2);
        tokenInfo.setRealName("张三");
        tokenInfo.setCompanyId(1);
        return tokenInfo;
    }

}
