package com.jair;

import com.jair.entity.common.PageInfo;
import com.jair.entity.common.TokenInfo;
import com.jair.entity.po.CreateVehiclePo;
import com.jair.entity.po.SearchVechiclePo;
import com.jair.service.IVehicleService;
import com.jair.util.BaiduAI;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.io.File;

@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
public class VehicleTest {

    @Autowired
    private IVehicleService vehicleService;
    @Autowired
    private BaiduAI baiduAI;

    @Test
    public void testVehicleLicenseDetect() throws Exception {
//        File file1 = new File("/Users/jair/Downloads/测试图片/行驶证_主页.png");
//        System.out.println(baiduAI.vehicleLicenseDetect(file1, true));
//
//        File file2 = new File("/Users/jair/Downloads/测试图片/行驶证_副页.png");
//        System.out.println(baiduAI.vehicleLicenseDetect(file2, false));

        System.out.println(baiduAI.vehicleLicenseDetect("https://sskx-fs-dev-1259667406.cos.ap-beijing.myqcloud.com/files/202009/sskx_5863d9b06d231f20e38090c5115ea6c3_E8A18CE9A9B6E8AF81_E4B8BBE9A1B5.png", false));
    }

    @Test
    public void createVehicle() {
        TokenInfo tokenInfo = new TokenInfo();
        tokenInfo.setId(2);
        tokenInfo.setRealName("张三");
        tokenInfo.setCompanyId(1);

        CreateVehiclePo vehiclePo = new CreateVehiclePo();
        vehiclePo.setBrandName("大众");
        vehiclePo.setModel("朗逸");
        vehiclePo.setDisplacement("1.5T");
        vehiclePo.setColor("黑色");
        vehiclePo.setEnvironmentalStandards("国I");
        vehiclePo.setEngineType("汽油");
        vehiclePo.setPlateNo("京JFF877");

        System.out.println(vehicleService.createVehicle(tokenInfo, vehiclePo));
    }

    @Test
    public void returnVehicle() {
        TokenInfo tokenInfo = new TokenInfo();
        tokenInfo.setId(2);
        tokenInfo.setRealName("张三");
        tokenInfo.setCompanyId(1);

        System.out.println(vehicleService.returnVehicle(tokenInfo, 2));
    }


    @Test
    public void list() {
        TokenInfo tokenInfo = new TokenInfo();
        tokenInfo.setId(2);
        tokenInfo.setRealName("张三");
        tokenInfo.setCompanyId(1);

        PageInfo<SearchVechiclePo> pageInfo = new PageInfo<>();
        SearchVechiclePo searchPo = new SearchVechiclePo();
//        searchPo.setBrandName("宝马");
        pageInfo.setRecords(searchPo);

        System.out.println(vehicleService.listVehicles(tokenInfo, pageInfo));
    }
}
